For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dealers

Retrieve dealer information the tenant belongs

get

Get the dealer to which the tenant belongs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
get/tenants/{id}/dealers
GET /api/tenants/{id}/dealers HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
      "enabled": true,
      "level": "DISTRIBUTOR",
      "name": "text",
      "display_name": "text"
    }
  ]
}

Designate tenant to dealer

post

Designate tenant to dealer.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
dealer_idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

No content

post/tenants/{id}/dealers/{dealer_id}
POST /api/tenants/{id}/dealers/{dealer_id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Was this helpful?